Name: x11vnc
Version: 0.8.4
Release: alt1

Summary: VNC server for real X displays
License: GPL
Group: Networking/Remote access
Url: http://www.karlrunge.com/x11vnc/
Packager: Alex V. Myltsev <avm@altlinux.ru>

Source: %name-%version.tar.gz

BuildRequires: libSDL-devel libjpeg-devel xorg-x11-devel zlib-devel libssl-devel

%description
x11vnc allows one to remotely view and interact with real X displays
(i.e. a display corresponding to a physical monitor, keyboard, and mouse)
with any VNC viewer. In this way it plays the role for Unix/X11 that
WinVNC plays for Windows.

%prep
%setup

# rfb carries around an ancient keysym.h from year 98. When included together
# with the current keysymdef.h, it generates loads of warnings.
# However, a careful comparison of the headers shows that replacing
# the old one with the new one will only introduce new macros, without
# changing or removing old ones. Therefore it should be safe to do this:
rm rfb/keysym.h
echo '#include <X11/keysym.h>' >rfb/keysym.h

%build
%configure --without-uinput
%make

%install
%makeinstall

%files
%_bindir/%name
%_man1dir/%name.*
%_datadir/%name
%doc README NEWS

%changelog
* Mon Feb 19 2007 Alex V. Myltsev <avm@altlinux.ru> 0.8.4-alt1
- 0.8.4: VNC reflector, X session autocreation.

* Sat Nov 25 2006 Alex V. Myltsev <avm@altlinux.ru> 0.8.3-alt1
- 0.8.3: allows unixpw authentication, can rotate screen, etc.

* Thu Jul 20 2006 Alex V. Myltsev <avm@altlinux.ru> 0.8.2-alt1
- New version (display autosearch, kbd/mouse grabbing etc).
- Now built with OpenSSL.

* Tue Mar 28 2006 Alex V. Myltsev <avm@altlinux.ru> 0.8-alt1
- New version (file transfer support, some minor features, bug fixes).

* Mon Aug 29 2005 Alex V. Myltsev <avm@altlinux.ru> 0.7.2-alt1
- First build for ALT Linux.

